*,*::before, *::after {
    box-sizing: border-box;
}

    body {
        background: radial-gradient(oklch(0.7731 0.2908 181.95), oklch(0.3065 0.0467 217.85 /85%) 80%);
    }

.container {
        border-radius: 1rem;
        box-shadow: 0.5rem 0.5rem 0.5rem 0 var(--primary);
        width: 80%;
        max-width: 40rem;
        margin-block: 3rem;
        margin-inline: auto;
        padding-block: 2rem;
        background-color: oklch(100% 0.00011 271.152);
        border: thick solid;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
    }

    h1 {
        text-align: center;
        font-size: 1.5rem;
        line-height: 3rem;
    }

    form {
        text-align: left;

        div {
            margin-bottom: 1.5rem;

            label {
                display: block;
                margin-bottom: 0.5rem;
                font-weight: bold;
            }
        }

        fieldset {
            text-align: left;
        }

        button, input[type="submit"], input[type="button"] {
            background: none;
            margin-block: 1rem;
            color: oklch(0.3065 0.0467 217.85);
            padding: 0.5rem 0.5rem;
            border-radius: 0.5rem;
            display: inline-block;

            &:hover {
                background-color: oklch(0.3065 0.0467 217.85);
                color: oklch(0.7731 0.2908 181.95);
                transition: all 0.3s ease;
            }
        }
    }

.box{
    display: flex;
    flex-direction: column;
    min-width: 16rem;
    width: 100%;
}

.THX{
    display: flex;
    align-items: center;
    p{
        font-size: 3rem;
        font-weight: bold;
    }

    #reageer{
        font-size: 1rem;
    }
}

#home{
    color: inherit;
    font-size: 1rem;
    font-weight: normal;
    text-decoration: none;
    border: 2px solid oklch(0.3065 0.0467 217.85);
    padding: 0.25rem 0.5rem;
    border-radius: 0.5rem;
    display: inline-block;

    &:hover {
        background-color: oklch(0.3065 0.0467 217.85);
        color: oklch(0.7731 0.2908 181.95);
        transition: all 0.3s ease;
    }
}

#debug{
    border-width: 0;
    clip-path: inset(50%);
    height: 1px;
    margin: 0;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
    padding: 0;
}

@media (min-width:40em) {
    .container{
        padding-inline: 5rem;

        h1 {
        font-size: 3rem;
        line-height: 5rem;
        }
    }
}
